.player {
	height: 100%;
	display: flex;
	align-items: center;
	flex-direction: column;
	justify-content: center;
}

.details {
	display: flex;
	align-items: center;
	flex-direction:column;
	justify-content: center;
	background-color: #00000062;
}

.track-name, .track-artist {
	text-align: center;
	color: white;
	position: relative;
	text-transform: capitalize;
	text-shadow: -1px -1px 0 #000000,
				1px -1px 0 #000000,
				-1px 1px 0 #000000,
				1px 1px 0 #000000;
}
.track-name {
	font-size: 28px;
	text-align: center;
}

.track-artist {
	font-size: 22px;
	text-wrap: nowrap;
}
.buttons {
	display: flex;
	gap: 0 1em;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	color: #FFF;
	text-shadow: -1px -1px 0 #000000,
				1px -1px 0 #000000,
				-1px 1px 0 #000000,
				1px 1px 0 #000000;
	padding: 0.2em 0;
	margin-top: 110px;
	background-color: #00000062;
}
.buttons>div {
	opacity: 1;
	mix-blend-mode: normal;
}
.buttons>div:hover {
	opacity: 0.6;
	mix-blend-mode:hard-light;
}
.slider_container {
	display: flex;
	justify-content: center;
	align-items: center;
	color:#FFF;
	background-color: #00000062;
	bottom: 0;
}

/* Modify the appearance of the slider */
.seek_slider, .volume_slider {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	height: 5px;
	background: #FFF;
	opacity: 1;
	-webkit-transition: .2s;
	transition: opacity .2s;
}

/* Modify the appearance of the slider thumb */
.seek_slider::-webkit-slider-thumb, .volume_slider::-webkit-slider-thumb {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	width: 15px;
	height: 15px;
	background: white;
	cursor: pointer;
	border-radius: 50%;
}
.seek_slider:hover, .volume_slider:hover {
	opacity: 1.0;
}
.seek_slider {
	width: 100%;
}
.volume_slider {
	width: 50%;
}
.current-time, .total-duration {
	bottom: 0px;
	padding: 0 0.5em;
	color: rgb(255, 255, 255);
	font-size: 16px;
	text-shadow: -1px -1px 0 #000000,
				1px -1px 0 #000000,
				-1px 1px 0 #000000,
				1px 1px 0 #000000;
}
i.fa-volume-down, i.fa-volume-up {
	padding: 0 0.3em;
	text-shadow: -1px -1px 0 #000000,
				1px -1px 0 #000000,
				-1px 1px 0 #000000,
				1px 1px 0 #000000;
}
i.fa-play-circle, i.fa-pause-circle, i.fa-step-forward, i.fa-step-backward {
	cursor: pointer;
	object-fit: contain;
	font-size: 42px;
}